Summary: A GNU tool for automatically creating Makefiles.
Name: automake
Version: 1.4
Release: 10tr
Copyright: GPL
Group: Programming/Portability
Source: ftp://ftp.gnu.org/gnu/automake/automake-%{version}.tar.gz
Patch0: automake-1.4-19980208.patch
Patch1: automake-1.4-armnetwinder.patch
Patch2: automake-1.4-1.4-p1.diff
Patch3: automake-1.4-p1-1.4-p2.diff
URL: http://sourceware.cygnus.com/automake
Requires: perl
Prereq: /sbin/install-info
BuildArchitectures: noarch
Buildroot: /var/tmp/%{name}-root

%description
Automake is an experimental Makefile generator. Automake was inspired
by the 4.4BSD make and include files, but aims to be portable and to
conform to the GNU standards for Makefile variables and targets.

You should install Automake if you are developing software and would
like to use its capabilities of automatically generating GNU
standard Makefiles. if you install Automake, you will also need to
install GNU's Autoconf package.

%prep
%setup -q
# XXX don't apply development patch from CVS.
#%patch0 -p0 -b .19980208
# we don't do arm arch
#%patch1 -p1 -b .armnetwinder
%patch2 -p1
%patch3 -p1

%build
#./configure --prefix=/usr

%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/info
test -d $RPM_BUILD_ROOT/usr/info && mv $RPM_BUILD_ROOT/usr/info/* $RPM_BUILD_ROOT/usr/share/info
gzip -9nf $RPM_BUILD_ROOT/usr/share/info/automake*
rm -f $RPM_BUILD_ROOT/usr/share/info/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/share/info/automake.info.gz /usr/share/info/dir

%preun
if [ $1 = 0 ]; then
	/sbin/install-info --delete /usr/share/info/automake.info.gz /usr/share/info/dir
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO
/usr/bin/*
/usr/share/*

%changelog
* Fri Jun  1 2001 Oystein Viggen <oysteivi@trustix.com>
- New upstream version: 1.4-p2

* Tue Apr 17 2001 Erlend Midttun <erlendbm@trustix.com>
- God alone knows how this used to build, but it does now.

* Wed Mar 01 2000 Lars Gaarden <larsg@trustix.com>
- /usr/share/info/dir should not be part of the package

* Mon Feb 28 2000 Lars Gaarden <larsg@trustix.com>
- moved info files to /usr/share/info, FHS

* Sat Aug 21 1999 Jeff Johnson <jbj@redhat.com>
- revert to pristine automake-1.4.

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- arm netwinder patch

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb  8 1999 Jeff Johnson <jbj@redhat.com>
- add patches from CVS for 6.0beta1

* Sun Jan 17 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.4.

* Mon Nov 23 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.3b.
- add URL.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 07 1998 Erik Troan <ewt@redhat.com>
- updated to 1.3

* Tue Oct 28 1997 Cristian Gafton <gafton@redhat.com>
- added BuildRoot; added aclocal files

* Fri Oct 24 1997 Erik Troan <ewt@redhat.com>
- made it a noarch package

* Thu Oct 16 1997 Michael Fulbright <msf@redhat.com>
- Fixed some tag lines to conform to 5.0 guidelines.

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- updated to 1.2

* Wed Mar 5 1997 msf@redhat.com <Michael Fulbright>
- first version (1.0)

